Bulk update records

Body·
required
application/json

Array of records to be updated

  • Type: array object[] · Array of multiple Record objects
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/record
curl https://test.boost.space/api/record \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '[
  {
    "id": 42,
    "created": "2026-01-15T09:30:00Z",
    "createdUserId": 42,
    "statusSystemId": 42,
    "statusId": 42,
    "spaceId": 42,
    "featuredImageId": 42,
    "files": [
      1
    ],
    "labels": [
      1
    ],
    "boostId": "string",
    "customFieldsValues": [
      {
        "id": 42,
        "created": "2026-01-15T09:30:00Z",
        "valueWysiwyg": "string",
        "valueInt": 1,
        "valueFloat": 1.5,
        "valueDatetime": "2026-01-15T09:30:00Z",
        "valueModule": "string",
        "value": "string",
        "fileId": 42,
        "customFieldInputId": 42,
        "table": "string",
        "entityId": 42,
        "customFieldInputName": "Sample customFieldInputName",
        "selected": true,
        "ipAddress": "string",
        "translatable": true
      }
    ]
  }
]'
[
  {
    "id": 42,
    "created": "2026-01-15T09:30:00Z",
    "createdUserId": 42,
    "statusSystemId": 42,
    "statusId": 42,
    "spaceId": 42,
    "featuredImageId": 42,
    "files": [
      1
    ],
    "labels": [
      1
    ],
    "boostId": "string",
    "customFieldsValues": [
      {
        "id": 42,
        "created": "2026-01-15T09:30:00Z",
        "valueWysiwyg": "string",
        "valueInt": 1,
        "valueFloat": 1.5,
        "valueDatetime": "2026-01-15T09:30:00Z",
        "valueModule": "string",
        "value": "string",
        "fileId": 42,
        "customFieldInputId": 42,
        "table": "string",
        "entityId": 42,
        "customFieldInputName": "Sample customFieldInputName",
        "selected": true,
        "ipAddress": "string",
        "translatable": true
      }
    ]
  }
]